
#define highscore_fill
////////////////////////////////////////////////////////////////
// script name: highscore_fill
//     creator: Mark Overmars
//        date: May 26, 2001
//
// description: This functions tries to fill the highscore list
//              with 10 starting values. (but only if it is empty)
//
//   arguments: argument 0: top score to use
//
//     remarks: Place in the Game Start event of some object.
////////////////////////////////////////////////////////////////
{
  // check whether highscore contains values
  if (highscore_value(1) > 0) exit;
  // fill in some nice names
  nnn = argument0/10;
  highscore_add('top shot'      ,10*nnn);
  highscore_add('excellent'     , 9*nnn);
  highscore_add('very good'     , 8*nnn);
  highscore_add('good'          , 7*nnn);
  highscore_add('reasonable'    , 6*nnn);
  highscore_add('average'       , 5*nnn);
  highscore_add('getting better', 4*nnn);
  highscore_add('poor'          , 3*nnn);
  highscore_add('very poor'     , 2*nnn);
  highscore_add('nothing'       , 1*nnn);
}



#define highscore_draw
////////////////////////////////////////////////////////////////
// script name: highscore_draw
//     creator: Mark Overmars
//        date: July 14, 2001
//
// description: This functions draws the highscore list on the screen.
//
//   arguments: argument0: x-position
//              argument1: y-position
//              argument2: width
//              argument3: height (if provided)
//
//     remarks: Place in the drawing event of some object.
////////////////////////////////////////////////////////////////
{
  _oldalign = font_align;
  _hhh = 10*string_height('AAA');
  if argument3 > 0 _hhh = argument3;
  for (_i=0; _i < 10; _i += 1)
  {
    font_align = fa_left;
    draw_text(argument0,argument1+_i*_hhh/10,highscore_name(_i+1));
    font_align = fa_right;
    draw_text(argument0+argument2,argument1+_i*_hhh/10,string(highscore_value(_i+1)));
  }
  font_align = _oldalign;
}
