
#define outside_wrap
////////////////////////////////////////////////////////////////
// script name: outside_wrap
//     creator: Mark Overmars
//        date: May 26, 2001
//
// description: When an instance moves outside the room, this script
//              wraps it to the other side of the room.
//
//   arguments: None
//
//     remarks: Place in the Outside event of the object.
////////////////////////////////////////////////////////////////
{
  if (x < 0 && hspeed < 0) x = room_width + sprite_xoffset;
  if (x > room_width && hspeed > 0) x = -sprite_width + sprite_xoffset;
  if (y < 0 && vspeed < 0) y = room_height + sprite_yoffset;
  if (y > room_height && vspeed > 0) y = -sprite_height + sprite_yoffset;
}


#define outside_destroy
////////////////////////////////////////////////////////////////
// script name: outside_destroy
//     creator: Mark Overmars
//        date: May 26, 2001
//
// description: When an instance moves outside the room and it
//              won't move back in, this script destroys it. 
//
//   arguments: None
//
//     remarks: Place in the Outside event of the object.
////////////////////////////////////////////////////////////////
{
  if (x < 0 && hspeed < 0) instance_destroy();
  if (x > room_width && hspeed > 0) instance_destroy();
  if (y < 0 && vspeed < 0) instance_destroy();
  if (y > room_height && vspeed > 0) instance_destroy();
}


#define outside_bounce
////////////////////////////////////////////////////////////////
// script name: outside_wrap
//     creator: Mark Overmars
//        date: May 26, 2001
//
// description: When an instance moves outside the room, this script
//              bounces it back into the room.
//
//   arguments: None
//
//     remarks: Place in the Outside or Boundary event of the object.
////////////////////////////////////////////////////////////////
{
  if (bbox_left < 0 && hspeed < 0) hspeed = -hspeed;
  if (bbox_right > room_width && hspeed > 0) hspeed = -hspeed;
  if (bbox_top < 0 && vspeed < 0) vspeed = -vspeed;
  if (bbox_bottom > room_height && vspeed > 0) vspeed = -vspeed;
}

